Bug 149513 - CAN-2004-1006 dhcp string format issue
CAN-2004-1006 dhcp string format issue
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: dhcp (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
impact=moderate,public=20041102
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-23 13:15 EST by Josh Bressers
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-12 09:42:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-02-23 13:15:53 EST
dhcp2 was found to have format string flaws in logging error messages, but it
looks like it can only be triggered if dhcpd connects to a malicious dns server.
Comment 1 Josh Bressers 2005-04-12 09:42:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-212.html

Note You need to log in before you can comment on or make changes to this bug.